<?php

require_once(dirname(__FILE__).'/../../class.tx_filepage_helper.php');

/**
 * this class subclasses tx_cms_layout.
 * 
 * its purpose is to render a custom WEB>PAGE view for file pages.
 *
 */
class Tx_Filepage_Utility_Layout extends TYPO3\CMS\Backend\View\PageLayoutView {
	
	/**
	 * Renders Content Elements from the tt_content table from page id.
	 * if page is of type "file", this method renders a message box containing the file name, a preview and an edit link.
	 * error conditions are shown, too.
	 *
	 * @param	integer		Page id
	 * @return	string		HTML for the listing
	 */
	function getTable_tt_content($id)	{
		if ($this->pageRecord['doktype'] == tx_filepage_config::get('page_type_id')) {
			return tx_filepage_helper::get_page_view($id, $this->pageRecord, $this->backPath);
		} else {
			return parent::getTable_tt_content($id);
		}
	}
	
}