<?php
if (!defined ('TYPO3_MODE')) 	die ('Access denied.');

// @see ext_conf_template.txt for documentation on extension configuration parameters
require_once(t3lib_extMgm::extPath('filepage').'class.tx_filepage_config.php');

// provide defaults
tx_filepage_config::set_if_undefined('keep_replaced_files', 0);
tx_filepage_config::set_if_undefined('allowed_ext', null);
tx_filepage_config::set_if_undefined('disallowed_ext', 'php,php3,php4,phtml,pl,py,jsp,asp,shtml,sh,cgi,htaccess,htpasswd');
tx_filepage_config::set_if_undefined('max_file_size', 100000);
tx_filepage_config::set_if_undefined('uploadfolder', 'uploads/tx_filepage');
tx_filepage_config::set_if_undefined('delete_replaced_files_show_thumbs', 1);
tx_filepage_config::set_if_undefined('delete_replaced_files_box_height', 1);
tx_filepage_config::set_if_undefined('delete_replaced_files_box_max_auto_height', 5);
tx_filepage_config::set_if_undefined('delete_replaced_files_box_style', 'width:288px');
tx_filepage_config::set_if_undefined('delete_replaced_files_min_files', 0);
tx_filepage_config::set_if_undefined('delete_replaced_files_max_files', 1);
tx_filepage_config::set_if_undefined('delete_replaced_files_disable_controls', 'browser');
tx_filepage_config::set_if_undefined('keep_replaced_files_show_thumbs', 1);
tx_filepage_config::set_if_undefined('keep_replaced_files_box_height', 2);
tx_filepage_config::set_if_undefined('keep_replaced_files_box_max_auto_height', 25);
tx_filepage_config::set_if_undefined('keep_replaced_files_box_style', 'width:288px');
tx_filepage_config::set_if_undefined('keep_replaced_files_min_files', 1);
tx_filepage_config::set_if_undefined('keep_replaced_files_max_files', 10000);
tx_filepage_config::set_if_undefined('keep_replaced_files_disable_controls', 'browser');
tx_filepage_config::set_if_undefined('use_builtin_pear_lib', 1);
tx_filepage_config::set_if_undefined('use_pear_lib', null);
tx_filepage_config::set_if_undefined('do_security_check_on_page_module', 1);
tx_filepage_config::set_if_undefined('page_type_id', 157);

$TYPO3_CONF_VARS['SC_OPTIONS']['tslib/class.tslib_fe.php']['contentPostProc-output'][] = 'EXT:filepage/class.tx_filepage.php:&tx_filepage->parseFE';

if (TYPO3_MODE == 'BE') {
	if (!isset($GLOBALS['TYPO3_CONF_VARS']['SYS']['Objects']['TYPO3\\CMS\\Backend\\View\\PageLayoutView'])) {
		// PageLayoutView is not subclassed, yet
		$GLOBALS['TYPO3_CONF_VARS']['SYS']['Objects']['TYPO3\\CMS\\Backend\\View\\PageLayoutView'] = array(
			'className' => 'Tx_Filepage_Utility_Layout',
		);
	}	
}
